{% extends "trails.html" %}

{% block title %}
Trail -
{% endblock %}

{% block head %}
<link rel="stylesheet" href="/style/map.css">
<script type="module">
    import { trail } from "/scripts/map.js";

    document.addEventListener("DOMContentLoaded", (_) => trail("map", "coordinates"), false);
</script>
<script id="coordinates" type="application/json">
    {{ coordinates|json|safe }}
</script>
{% endblock %}

{% block nav %}
{% call super() %}
<li><a href="/ui/trails/{{ country.alpha2() }}/{{ area.code }}">{{ area.name }}</a></li>
{% endblock %}

{% block header %}
<h1>{{ info.name }}</h1>
{% endblock %}

{% block content %}
<div id="map"></div>

<h2>Excursions</h2>
<table class="tableblock frame-all grid-all stretch">
    <colgroup>
        <col style="width: 50%;">
        <col style="width: 50%;">
    </colgroup>
    <thead>
        <tr>
            <th class="tableblock halign-left valign-top">Start Time</th>
            <th class="tableblock halign-left valign-top">End Time</th>
        </tr>
    </thead>
    <tbody>
        {% for excursion in excursions %}
        <tr>
            <td class="tableblock halign-left valign-top">
                <time datetime="{{ excursion.start_utc.to_rfc3339() }}">{{ excursion.start_local.format("%d %B %Y at %H:%M %Z") }}</time>
            </td>
            <td class="tableblock halign-left valign-top">
                <time datetime="{{ excursion.end_utc.to_rfc3339() }}">{{ excursion.end_local.format("%d %B %Y at %H:%M %Z") }}</time>
            </td>
        </tr>
        {% endfor %}
    </tbody>
</table>
{% endblock %}